#!/bin/bash
#
# ssh-api:rsync-config-api.sh
#

# shellcheck disable=SC2034
declare -gr RSYNC_OPTS_QUICK='--archive --delete --update --links --compress --progress --recursive --verbose'
# shellcheck disable=SC2034
declare -gr RSYNC_OPTS_DEPRECATED='-recursive --verbose --delete'
declare -gr RSYNC_OPTS_MIRROR_QUIET='--archive --delete --links --compress --progress --recursive'
declare -gr RSYNC_OPTS_MIRROR="${RSYNC_OPTS_MIRROR_QUIET} --verbose"
declare -gr RSYNC_OPTS_DEFAULT="${RSYNC_OPTS_MIRROR}"

# Allow to customize RSYNC_OPTS
function getRSYNC_OPTS {
  if [ -n "${RSYNC_OPTS:-}" ] ; then
    # ${RSYNC_CHECK_DESTINATION} is define and not empty
    echo "${RSYNC_OPTS}"
  else
    echo "${RSYNC_OPTS_DEFAULT}"
  fi
}

# Allow to customize RSYNC_CHECK_DESTINATION
function getRSYNC_CHECK_DESTINATION {
  if [ -n "${RSYNC_CHECK_DESTINATION:-}" ] ; then
    # ${RSYNC_CHECK_DESTINATION} is define and not empty
    echo "${RSYNC_CHECK_DESTINATION}"
  else
    echo 'true'
  fi
}

function getRSYNC_RESOLV_HOST {
  if [ -n "${RSYNC_RESOLV_HOST:-}" ] ; then
    # ${RSYNC_RESOLV_HOST} is define and not empty
    echo "${RSYNC_RESOLV_HOST}"
  else
    echo 'true'
  fi
}

function isRSYNC_VERBOSE {
  if [ "${RSYNC_VERBOSE:-}" = 'true' ] ; then
    return 0 # 'true'
  else
    return 1 # 'false'
  fi
}
