#!/bin/bash -e
# shellcheck disable=SC2034
#
# rsync-now:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/rsync-now
# Ensure *.sh are executables and readonly
# Add links into: /usr/bin
#
declare -r INSTALL_DATA_DIR='/usr/local/share/rsync-now'
declare -r INSTALL_BIN_DIR='/usr/bin'

declare -r REMOVE_OLD="${INSTALL_DATA_DIR}/rsync-now-remove"
declare -r REMOVE_EXE="${INSTALL_DATA_DIR}/rsync-now-remove.sh"

declare -r INSTALL_LINKS='
rsync-now
rsync-now-config
rsync-now-purge-remotes
'

declare -r INSTALL_EXE='
bin/rsync-now-config.sh
bin/rsync-now-purge-remotes.sh
bin/rsync-now.sh
rsync-now-install.sh
rsync-now-remove.sh
'

declare -ra INSTALL_PACKAGES=( jq rsync )
declare -ra INSTALL_API_INSTALL_MAIN_EXCLUDE=(
'.git'
'.gitignore'
'.gitlab-ci.yml'
'.gitmodules'
'.tmp'
'package'
'tests'
)
